yaz-ztest
8

# yaz-ztest

Z39.50 Test Server

       yaz-ztest
       -a file
       -v level
       -l file
       -u uid
       -c config
       -t minutes
       -k kilobytes
       -d daemon
       -w dir
       -ziST1
       listener-spec

       yaz-ztest-ssl
       option
       addr

## DESCRIPTION

`yaz-ztest` is a Z39.50 test server. The server acts as a real Z39.50 server but does not use a database. It returns a random hit count and returns a subset of a few built-in records.

`yaz-ztest-ssl` is identical to `yaz-ztest` except that it supports SSL transport.

The listener-spec consists of a transport mode followed by a colon, followed by a listener address. The transport mode is either `tcp`, `unix`, or `ssl` (`yaz-ztest-ssl` only).

For TCP and SSL, an address has the form:

         hostname | IP-number [ : portnumber ]

For UNIX local socket the address is the filename of the local socket.

## OPTIONS

&ztest-options;

## FILES

`yaz-<version>/ztest/yaz-ztest.c`

`yaz-<version>/include/yaz/backend.h`

## SEE ALSO

yaz 7

Section "Generic server" in the YAZ manual.